<?php
/**
 * Generic SVG mask icon library for Elementor.
 *
 * @package MoxIcon
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class MoxIcon_SVG_Icon_Library extends MoxIcon_Library_Abstract {

	/**
	 * Library configuration.
	 *
	 * @var array
	 */
	private $config;

	/**
	 * Constructor.
	 *
	 * @param array $config Library configuration.
	 */
	public function __construct( $config ) {
		$this->config = $config;
	}

	public function get_name() {
		return $this->config['elementor_name'];
	}

	public function get_label() {
		return $this->config['label'];
	}

	public function get_prefix() {
		return $this->config['prefix'] . ' ' . $this->config['prefix'] . '-';
	}

	public function get_display_prefix() {
		return $this->config['prefix'];
	}

	public function get_css_url() {
		return MOX_ICON_URL . $this->config['css'];
	}

	public function get_json_url() {
		return MOX_ICON_URL . $this->config['json'];
	}

	public function get_version() {
		return $this->config['version'];
	}

	public function get_label_icon() {
		return $this->config['label_icon'];
	}
}
